# Gimp.Unit.get_scaled_digits

    @accepts(Gimp.Unit, float)
    @returns(int)
    def get_scaled_digits(self, resolution):
        # Python wrapper for gimp_unit_get_scaled_digits()

Returns the number of digits a self field should provide to get enough accuracy so that every pixel position shows a different value from neighboring pixels.

Note: when needing digit accuracy to display a diagonal distance, the resolution may not correspond to the unit's horizontal or vertical resolution, but instead to the result of: `distance_in_pixel / distance_in_inch`.

self

  The unit you want to know the digits.

resolution

  the resolution in PPI.

Returns